@use '../../../global/styles/styles-variables' as *;
@use './styles/quote-single.variables' as *;
@use './styles/quote-single.variations' as variations;
@use '../../../global/styles/utilities' as *;

:host {
  $base: '.digi-quote-single';
  @include digi-quote-single--variables;
  --BACKGROUND: transparent;
  //--BORDER: transparent;

  #{$base} {
    &--primary {
      @include variations.primary;
    }

    &--secondary {
      @include variations.secondary;
    }

    &--tertiary {
      @include variations.tertiary;
    }

		height: 100%;
		display: block;
		position: relative;

		&__content {
      padding-top: var(--digi--padding--large);
      padding-bottom: var(--digi--padding--large);
      max-width: fit-content;
    }


    &__icon{
      float:left;
      width: rem(41);
      height: rem(30);
      margin-left: rem(-2);
      margin-top: rem(-10);
      margin-right: rem(10);
    }

    &__text{
      display: inline-block;
      background: var(--BACKGROUND);
      font-weight: var(--digi--typography--label--font-weight--desktop);
      padding: var(--digi--padding--largest-2) var(--digi--padding--large) var(--digi--padding--largest-2) var(--digi--padding--large);
      border-radius: var(--digi--border-radius--secondary);
      //border-color: var(--BORDER);
      //border-style: solid;
      border-width: var(--digi--border-width--secondary);
      @media (min-width: $digi--breakpoint--medium) {
        border-radius: var(--digi--border-radius--complementary-3);
      }
    }
    &__author{
      padding-top: var(--digi--padding--small);
      line-height: var(--digi--typography--label--line-height--desktop);
		  font-weight: var(--digi--typography--label--font-weight--desktop);
      margin-bottom: 0;
      &-title{
        max-width: var(--digi--paragraph-width--medium);
		    line-height: var(--digi--typography--label-description--line-height--desktop);
		    font-size: var(--digi--typography--label-description--font-size--desktop);
      }
    }
  }

}
